"use strict";

exports.__esModule = true;
exports.getLookup = exports.getMenuAuth = void 0;

var _http = require("./http");

/**
 * 请求接口获取菜单下按钮（接口）权限
 * @param {array} ids 
 */
var getMenuAuth = function getMenuAuth(ids) {
  if (ids === void 0) {
    ids = [];
  }

  return (0, _http.http)('auth.menu.resources.userPermissionCode', 10132, {
    ids: ids
  });
};
/**
 * 请求接口获取数据字典
 * @param {array} codes 
 */


exports.getMenuAuth = getMenuAuth;

var getLookup = function getLookup(codes) {
  if (codes === void 0) {
    codes = [];
  }

  return (0, _http.http)('system.lookupValue.BatchByCode', 10124, {
    codes: codes
  });
};

exports.getLookup = getLookup;